<?php

namespace App\Http\Controllers;

use App\Subscription;
use Illuminate\Http\Request;
use App\Notifications\HelloSubscriber;

class SubscriptionController extends Controller
{
    public function __construct()
    {
        $this->middleware('auth')->except('store');
        /*    $this->middleware('auth')->except('myFunction');*/
    }
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        //
        $subs = Subscription::orderBy('created_at','desc')->paginate(5);
        return view('dashboard.subscription')->with('subs',$subs);
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $request->validate([
            'email'=>'required'
           /* 'g-recaptcha-response' => 'required'*/
        ]);

        //
        $checkmail = $request->get('email');

        if (Subscription::where('email', '=', $checkmail)->exists()) {
            /*dd($checkmail);*/
            return \Redirect::route('index')->with('error','You are already subscribed');
        }
        else
            //saving the new subscribed email to db
            $subemail = new Subscription();
        /* $subemail->email = $request->get('email');*/
        $subemail->email = $checkmail;
        $subemail->save();

        $subemail->notify(new HelloSubscriber());

        return \Redirect::route('index')->with('message','Your Subscription was successful, Check your inbox for regular updates');
    }

    /**
     * Display the specified resource.
     *
     * @param  \App\Subscription  $subscription
     * @return \Illuminate\Http\Response
     */
    public function show(Subscription $subscription)
    {
        //

    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  \App\Subscription  $subscription
     * @return \Illuminate\Http\Response
     */
    public function edit(Subscription $subscription)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \App\Subscription  $subscription
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, Subscription $subscription)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  \App\Subscription  $subscription
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
        if(empty(Subscription::find($id))){
            return \redirect::route('subscriptions.index');
        }
        else{
            Subscription::destroy($id);
            return \Redirect::route('subscriptions.index')->with('message','Item Deleted Successfully');
        }
    }
}
