@extends('layouts.app')
@section('content')
    <div class="container">
        <div class="row justify-content-center">
            <div class="col-md-10">
                <div class="card">
                    <div class="card-header">Dashboard - Edit Download</div>

                    <div class="card-body">
                        @if (session('status'))
                            <div class="alert alert-success" role="alert">
                                {{ session('status') }}
                            </div>
                        @endif

                        <div class="panel">
                            <fieldset>
                                <form action="{{route('downloads.update',$dlfileupdate->id)}}" method="POST">

                                    @method('PATCH')
                                    @csrf

                                    @if(count($errors)>0 )
                                        <div class="alert alert-danger">
                                            There were some problems updating the download.<br />
                                            <ul>
                                                @foreach($errors->all() as $error)
                                                    <li>{{$error}}</li>
                                                @endforeach
                                            </ul>

                                        </div>
                                    @endif

                                    @if(session()->has('message'))
                                        <div class="alert alert-success">
                                            {{ session()->get('message') }}
                                        </div>
                                    @endif

                                    <div class="row">
                                        <div class="form-group col-md-6">
                                            {!! Form::label('Download Title', 'Enter a title for the download') !!}
                                            <input type="text" name="dltitle" class="form-control" value="{{$dlfileupdate->dl_name}}" required>
                                            {{--    {!! Form::text('downloadtitle', null, ['class'=> 'form-control', 'placeholder'=> 'Download Title', 'required']) !!}--}}
                                            <small id="emailHelp" class="form-text text-muted">Enter the download title here</small>
                                        </div>
                                        <div class="form-group col-md-6">
                                            {!! Form::label('Download Status', 'Choose to hide or show item') !!}
                                            <select class="form-control" name="dlstatus" required>
                                                <option value="1">Show</option>
                                                <option value="0">Hide</option>
                                            </select>
                                            <small id="emailHelp" class="form-text text-muted">Select to either hide or show</small>
                                        </div>

                                    </div>
                                    {{-- <div class="form-group">
                                         {!! Form::label('Attach File', 'File') !!}
                                         {!! Form::file('file', ['class'=>'form-control','required']) !!}
                                         <small id="emailHelp" class="form-text text-muted">Choose a download attachment file</small>
                                     </div>--}}

                                    <button type="submit" class="btn btn-primary">Submit</button>
                                </form>
                            </fieldset>

                        </div>


                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection